=== ubuntu/wireless/rtl8187-usb/Makefile ===

obj-y	+= ieee80211/
obj-y	+= rtl8187/
