=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook26) netbook-common; urgency=low

  [Michael Frey]

  * Added new DVB TV Tuner firmware

 -- Michael Frey <michael.frey@canonical.com>  Thu, 26 Mar 2009 13:18:31 -0400

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook25) netbook-common; urgency=low

  [Andres Salomon]

  * Buffalo audio fix; disable speaker output when headphones are plugged in.

 -- Andres Salomon <dilinger@canonical.com>  Mon, 23 Mar 2009 17:20:05 -0400

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook24) netbook-common; urgency=low

  [Andres Salomon]

  * Add support for Buffalo's audio.

 -- Andres Salomon <dilinger@canonical.com>  Fri, 20 Mar 2009 17:53:17 -0400

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook23) netbook-common; urgency=low

  [Michael Frey]

  * New Poulsbo DRM driver (HDMI hotplug support)
  * Version 2.3.2.32L.0038

 -- Michael Frey <michael.frey@canonical.com>  Fri, 20 Mar 2009 10:44:53 -0400

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook22) netbook-common; urgency=low

  [Andres Salomon]

  * Fix for audio issues for ALC272 Intel HDA codecs (LP: #341330).

 -- Andres Salomon <dilinger@canonical.com>  Wed, 18 Mar 2009 17:30:09 +0000

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook21) netbook-common; urgency=low

  [Colin King]

  * Add support for Atheros AR8121/AR8113/AR8114/AR8131/AR8132 ethernet

 -- Tony Espy <espy@canonical.com>  Mon, 16 Mar 2009 16:49:46 -0400

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook20) netbook-common; urgency=low

  [Michael Frey]

  * Added functions to save / restore realtek codec pins on suspend / resume
  * Fix for (LP# 250627)

 -- Michael Frey <michael.frey@canonical.com>  Tue, 10 Mar 2009 10:12:22 -0400

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook19) netbook-common; urgency=low

  [Michael Frey]
 
  * Re-sync with Michael Krufky git tree to fix build issue.

 -- Michael Frey <michael.frey@canonical.com>  Fri, 06 Mar 2009 15:59:25 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook18) netbook-common; urgency=low

  [Michael Krufky]

  * sms1xxx: move definition of struct smsdvb_client_t into smsdvb.c
  * sms1xxx: move smsusb_id_table into smsusb.c
  * sms1xxx: fix checkpatch.pl violations introduced by previous changeset
  * sms1xxx: load smsdvb module automatically based on device id
  * siano: convert EXPORT_SYMBOL to EXPORT_SYMBOL_GPL
  * siano: prevent duplicate variable declaration
  * sms-cards: add some more debug
  * smsusb: add autodetection for devices based on the SMS1180 chipset
  * sms1xxx: ensure that smsdvb is loaded for DVB-T devices

  [Uri Shkolnik]

  * sms1xxx: add USB suspend and hibernation support
  * sms1xxx: restore smsusb_driver.name to smsusb
  * sms1xxx: import changes from Siano
  * smsusb: whitespace cleanups
  * smscore: whitespace cleanups
  * smsdvb: whitespace cleanups
  * sms1xxx: update GPIO functionality to support all devices
  * sms1xxx: add smsnet and smschar modules (siano sub-system)

 -- Michael Frey <michael.frey@canonical.com>  Fri, 06 Mar 2009 12:59:53 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook17) netbook-common; urgency=low

  [Michael Frey]

  * Add Bear audio support via ALC272 codec

 -- Michael Frey <michael.frey@canonical.com>  Fri, 27 Feb 2009 14:38:27 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook16) netbook-common; urgency=low

  [Debbie Beliveau]

  * Modifications to HDMI audio out support on Intel Menlow hardware (included
    with 0033 PSB drm drop)

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 18 Feb 2009 12:05:09 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook15) netbook-common; urgency=low

  [Upstream Kernel Changes]

  * New PSB drm version from Intel (0033)

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 17 Feb 2009 14:54:56 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook14) netbook-common; urgency=low

  [Upstream Kernel Changes]

  * New PSB drm version from Intel (0032)

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 11 Feb 2009 16:17:08 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook13) hardy; urgency=low

  [Upstream Kernel Changes]

  * New PSB drm version from Intel (0204)

 -- Michael Frey <michael.frey@canonical.com>  Fri, 06 Feb 2009 10:36:39 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook12) hardy; urgency=low

  [Upstream Kernel Changes]

  * New upstream PSB DRM driver from Intel. PV_2_3_0031

 -- Michael Frey <michael.frey@canonical.com>  Tue, 03 Feb 2009 10:36:29 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook11) hardy; urgency=low

  [Steve Magoun]

  * patch_realtek.c:
    - Backport fixes from realtek v5.05 drop to fix problem with 
      headphone + internal speaker not muting properly if headphone
      is plugged in at boot (LP: #250627, #241228)
    - Clean up some CW020-specific code to use generic ALC269 code
    - Disable CW020 quirk for now, it seems to be unnecessary

 -- Michael Frey <michael.frey@canonical.com>  Mon, 26 Jan 2009 11:57:36 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook10) hardy; urgency=low

  [Michael Krufky]

  * sms1xxx driver is missing the USB ID 2040:2011 for Dell Digital TV
    Receiver (LP: #320542)

 -- Michael Frey <michael.frey@canonical.com>  Fri, 23 Jan 2009 13:27:58 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook9) hardy; urgency=low

  [Upstream Kernel Changes]

  * drm-poulsbo.  New upstream release. add de-tearing support.

 -- Michael Frey <michael.frey@canonical.com>  Thu, 22 Jan 2009 13:17:59 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook8) hardy; urgency=low

  [Michael Frey]

  * Add support for HDMI audio out on Intel Menlow hardware (LP: #308476)

 -- Michael Frey <michael.frey@canonical.com>  Tue, 20 Jan 2009 14:48:51 -0500

linux-ubuntu-modules-2.6.24 (2.6.24-22.35netbook7) hardy; urgency=low

  [Michael Frey]

  * Turn off some debug messages in the PSB DRM module


